Bug 57559 - Specifing ethernet MAC address hangs ifup and ifdown
Specifing ethernet MAC address hangs ifup and ifdown
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-15 14:35 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:17:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-15 14:35:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; MSOCD; 
T312461)

Description of problem:
Using netcfg to specify an ethernet MAC address causes ifup and ifdown to 
recurse forever. netcfg puts a HWADDR entry into the ifcfg-eth1 parameter 
file that looks correct. The scripts appear to notice the entry and exec 
back to themselves forever.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run netcfg and change MAC address for eth1
2. Save configuration
3. Start interface with "/sbin/ifup eth1" - never returns
4. Turn on script verify and watch lines scroll endlessly
	

Actual Results:  /sbin/ifup never returns. Abort it. Try /sbin/ifdown. 
Also never returns.

Expected Results:  Network interface up/down as requested with custom MAC

Additional info:

The card is the second ethernet card on the system. Both are HP J2585B rev 
0 cards using the hp100 driver. There is an additional entry in 
modules.conf to force the HP100 driver to look for the second 
card: "options hp100 hp100_port=0,0". 

eth1 uses DHCP through a cable modem.

If I delete netcfg's HWADDR entry in ifcfg-eth1 and manually set the 
card's ethernet address (with /sbin/ifconfig eth1 hw ether xxx) everything 
works. ifup completes, DHCP resolves using the new MAC, and packets come 
and go correctly.

Another netcfg bug: netcfg silently overwrites (actually deletes) the 
modules.conf entry for the hp100 driver whenever it saves a new 
configuration.
Comment 1 Bill Nottingham 2006-08-07 15:59:07 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 13:17:41 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.